
From: Geert Uytterhoeven <geert@linux-m68k.org>

Variable error is not initialized, but printed if tty_unregister_driver()
fails.


---

 25-akpm/drivers/char/isicom.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/char/isicom.c~isicom-error-path-fix drivers/char/isicom.c
--- 25/drivers/char/isicom.c~isicom-error-path-fix	Tue Apr  6 15:33:17 2004
+++ 25-akpm/drivers/char/isicom.c	Tue Apr  6 15:33:17 2004
@@ -1649,8 +1649,8 @@ static int register_drivers(void)
 
 static void unregister_drivers(void)
 {
-	int error;
-	if (tty_unregister_driver(isicom_normal))
+	int error = tty_unregister_driver(isicom_normal);
+	if (error)
 		printk(KERN_DEBUG "ISICOM: couldn't unregister normal driver error=%d.\n",error);
 	put_tty_driver(isicom_normal);
 }

_
